---
updatedAt: 2026-09-16T12:35:49.000Z
agentTools:
  projectIndex: https://global-docs.upbit.com/llms.txt
---

# Get Account Balances

Retrieves the list of assets and balances owned by the account.

<HTMLBlock>{`
<div class="callout-section">
    <div class="callout-title">
      <i class="fa-solid fa-circle-exclamation"></i> <b>Check the proper endpoint based on your region.</b>
  </div>
	<div>The examples in this page is written using Singapore fiat code(SGD). Set the quote currency to match your region. The base_url differs by country/region. Make sure to specify the correct region value for your environment.<br>
    <br>	
	- Singapore (sg): https://sg-api.upbit.com<br>
	- Indonesia (id): https://id-api.upbit.com<br>
  - Thailand (th): https://th-api.upbit.com
	</div>
</div>
`}</HTMLBlock>

<br />

<HTMLBlock>{`
<div class="APISectionHeader-heading4MUMLbp4_nLs">Rate Limit</div>
<div class="box-rate-limit">

  Up to 30 calls per second are allowed. This is measured on an account basis and request counts are shared within the exchange 'default' group.
</div>
<br>
<div class="APISectionHeader-heading4MUMLbp4_nLs">API Key Permission</div>
<div class="box-rate-limit">

  This API requires <a href="auth">authentication</a> and must use an API Key with the [View Account] permission enabled.<br>
  If you encounter an out_of_scope permission error, please verify your API Key permissions via the API Key Management page.
</div>
`}</HTMLBlock>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "EXCHANGE API",
    "version": "1.3.3"
  },
  "servers": [
    {
      "url": "https://{region}-api.upbit.com"
    }
  ],
  "components": {
    "schemas": {
      "Account": {
        "type": "object",
        "required": [
          "currency",
          "balance",
          "locked",
          "avg_buy_price",
          "avg_buy_price_modified",
          "unit_currency"
        ],
        "properties": {
          "currency": {
            "type": "string",
            "description": "Currency code to be queried.",
            "example": "BTC"
          },
          "balance": {
            "type": "string",
            "format": "decimal",
            "description": "Available amount or volume for orders.\nFor digital assets, this represents the available quantity.\nFor fiat currency, this represents the available amount.\n",
            "example": 1000000
          },
          "locked": {
            "type": "string",
            "format": "decimal",
            "description": "Amount or quantity locked by pending orders or withdrawals.",
            "example": 0
          },
          "avg_buy_price": {
            "type": "string",
            "format": "decimal",
            "description": "Average buy price of the asset.",
            "example": 0
          },
          "avg_buy_price_modified": {
            "type": "boolean",
            "description": "Indicates whether the average buy price has been modified.",
            "example": false
          },
          "unit_currency": {
            "type": "string",
            "description": "Currency unit used as the basis for avg_buy_price.\n",
            "example": "SGD"
          }
        }
      },
      "Error": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "required": [
              "name",
              "message"
            ],
            "properties": {
              "name": {
                "type": "string",
                "description": "Error name."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "samples-languages": [
      "shell",
      "python",
      "java",
      "node"
    ]
  },
  "paths": {
    "/v1/accounts": {
      "get": {
        "operationId": "get-balance",
        "summary": "Get Account Balances",
        "description": "Retrieves the list of assets and balances owned by the account.",
        "tags": [
          "Exchange"
        ],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n--url 'https://sg-api.upbit.com/v1/accounts' \\\n--header 'Authorization: Bearer {JWT_TOKEN}' \\\n--header 'accept: application/json'\n"
            },
            {
              "language": "python",
              "install": "pip install requests pyjwt python-dotenv",
              "code": "import os\nimport uuid\nimport jwt\nimport requests\nfrom dotenv import load_dotenv\n\nload_dotenv()\n\nBASE_URL = \"https://sg-api.upbit.com\"\nPATH = \"/v1/accounts\"\n\nACCESS_KEY = os.environ[\"UPBIT_OPEN_API_ACCESS_KEY\"]\nSECRET_KEY = os.environ[\"UPBIT_OPEN_API_SECRET_KEY\"]\n\npayload = {\n  \"access_key\": ACCESS_KEY,\n  \"nonce\": str(uuid.uuid4()),\n}\n\njwt_token = jwt.encode(payload, SECRET_KEY, algorithm=\"HS256\")\n\nheaders = {\n  \"Authorization\": f\"Bearer {jwt_token}\",\n  \"Accept\": \"application/json\",\n}\n\nres = requests.get(f\"{BASE_URL}{PATH}\", headers=headers)\nprint(res.json())\n"
            },
            {
              "language": "node",
              "name": "Axios",
              "install": "npm install axios jsonwebtoken uuid\n",
              "code": "const axios = require(\"axios\");\nconst { sign } = require(\"jsonwebtoken\");\nconst { v4: uuidv4 } = require(\"uuid\");\nrequire(\"dotenv\").config();\n\nconst baseURL = \"https://sg-api.upbit.com\";\nconst path = \"/v1/accounts\";\n\nconst ACCESS_KEY = process.env.UPBIT_OPEN_API_ACCESS_KEY;\nconst SECRET_KEY = process.env.UPBIT_OPEN_API_SECRET_KEY;\n\nconst payload = {\n  access_key: ACCESS_KEY,\n  nonce: uuidv4(),\n};\n\nconst jwtToken = sign(payload, SECRET_KEY);\n\nconst options = {\n  method: \"GET\",\n  url: `${baseURL}${path}`,\n  headers: {\n    Authorization: `Bearer ${jwtToken}`,\n    Accept: \"application/json\",\n  },\n};\n\naxios\n  .request(options)\n  .then((response) => {\n    console.log(response.data);\n  })\n  .catch((error) => {\n    console.error(error.response ? error.response.data : error.message);\n  });\n"
            },
            {
              "language": "java",
              "code": "package main;\n\nimport com.auth0.jwt.JWT;\nimport com.auth0.jwt.algorithms.Algorithm;\nimport java.io.IOException;\nimport java.nio.charset.StandardCharsets;\nimport java.security.NoSuchAlgorithmException;\nimport java.util.Objects;\nimport java.util.UUID;\nimport okhttp3.OkHttpClient;\nimport okhttp3.Request;\nimport okhttp3.Response;\n\npublic class GetBalance {\n    private static final String BASE_URL = \"https://sg-api.upbit.com\";\n    private static final String PATH = \"/v1/accounts\";\n\n    public static void main(String[] args) throws NoSuchAlgorithmException, IOException {\n        String accessKey = System.getenv(\"UPBIT_OPEN_API_ACCESS_KEY\");\n        String secretKey = System.getenv(\"UPBIT_OPEN_API_SECRET_KEY\");\n\n\n        Algorithm algorithm = Algorithm.HMAC512(secretKey.getBytes(StandardCharsets.UTF_8));\n        String jwtToken = JWT.create()\n            .withClaim(\"access_key\", accessKey)\n            .withClaim(\"nonce\", UUID.randomUUID().toString())\n            .sign(algorithm);\n\n        String authHeader = \"Bearer \" + jwtToken;\n\n        OkHttpClient client = new OkHttpClient();\n        Request request = new Request.Builder()\n            .url(BASE_URL + PATH)\n            .get()\n            .addHeader(\"Content-Type\", \"application/json\")\n            .addHeader(\"Authorization\", authHeader)\n            .build();\n\n        try (Response response = client.newCall(request).execute()) {\n            System.out.println(response.code());\n            System.out.println(Objects.requireNonNull(response.body()).string());\n        }\n    }\n}\n"
            }
          ]
        },
        "responses": {
          "200": {
            "description": "List of account balances",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/Account"
                  }
                },
                "examples": {
                  "Successful Example": {
                    "value": [
                      {
                        "currency": "SGD",
                        "balance": "1000000.0",
                        "locked": "0.0",
                        "avg_buy_price": "0",
                        "avg_buy_price_modified": false,
                        "unit_currency": "SGD"
                      },
                      {
                        "currency": "BTC",
                        "balance": "2.0",
                        "locked": "0.0",
                        "avg_buy_price": "101000",
                        "avg_buy_price_modified": false,
                        "unit_currency": "SGD"
                      }
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "error object",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                },
                "examples": {
                  "no authorization ip error": {
                    "value": {
                      "error": {
                        "name": "no_authorization_ip",
                        "message": "This is not a verified IP."
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```